%define upstream_name    Archive-Tar-Wrapper
%define upstream_version 0.41

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    API wrapper around the 'tar' utility
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Archive/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(Cwd)
BuildRequires: perl(Dumbbench) >= 0.503.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Which)
BuildRequires: perl(IPC::Run)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Test::Simple) >= 1.302.73
BuildArch:  noarch

%description
Archive::Tar::Wrapper is an API wrapper around the 'tar' command line
utility. It never stores anything in memory, but works on temporary
directory structures on disk instead. It provides a mapping between the
logical paths in the tarball and the 'real' files in the temporary
directory on disk.

It differs from Archive::Tar in two ways:

* Archive::Tar::Wrapper doesn't hold anything in memory. Everything is
stored on disk.
* Archive::Tar::Wrapper is 100% compliant with the platform's tar
utility, because it uses it internally.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Jun 18 2024 tv <tv> 0.410.0-1.mga10
+ Revision: 2074930
- update to 0.41

* Wed May 22 2024 tv <tv> 0.400.0-1.mga10
+ Revision: 2065925
- update to 0.40

* Sun Apr 28 2024 tv <tv> 0.390.0-1.mga10
+ Revision: 2061437
- update to 0.39

* Mon Mar 21 2022 umeabot <umeabot> 0.380.0-2.mga9
+ Revision: 1813214
- Mageia 9 Mass Rebuild

* Mon Sep 14 2020 tv <tv> 0.380.0-1.mga8
+ Revision: 1626147
- update to 0.38

* Sat Feb 15 2020 umeabot <umeabot> 0.370.0-2.mga8
+ Revision: 1528649
- Mageia 8 Mass Rebuild

* Sun Aug 25 2019 tv <tv> 0.370.0-1.mga8
+ Revision: 1431961
- update to 0.37

* Fri Apr 12 2019 tv <tv> 0.360.0-1.mga7
+ Revision: 1389259
- update to 0.36

* Sat Apr 06 2019 tv <tv> 0.350.0-1.mga7
+ Revision: 1386382
- update to 0.35

* Sun Mar 24 2019 tv <tv> 0.340.0-1.mga7
+ Revision: 1379928
- update to 0.34

* Thu Sep 20 2018 umeabot <umeabot> 0.330.0-2.mga7
+ Revision: 1281767
- Mageia 7 Mass Rebuild

* Thu Jul 12 2018 tv <tv> 0.330.0-1.mga7
+ Revision: 1243293
- update to 0.33

* Thu Jul 05 2018 tv <tv> 0.310.0-1.mga7
+ Revision: 1241736
- update to 0.31

* Fri Jun 29 2018 tv <tv> 0.300.0-1.mga7
+ Revision: 1240679
- update to 0.30

* Mon Jun 25 2018 tv <tv> 0.290.0-1.mga7
+ Revision: 1239604
- update to 0.29

* Wed Jun 20 2018 tv <tv> 0.280.0-1.mga7
+ Revision: 1238302
- update to 0.28

* Sat Jun 16 2018 tv <tv> 0.270.0-1.mga7
+ Revision: 1237236
- update to 0.27

* Sun Jun 10 2018 tv <tv> 0.260.0-1.mga7
+ Revision: 1236112
- update to 0.26

* Thu Jun 07 2018 tv <tv> 0.250.0-1.mga7
+ Revision: 1235125
- update to 0.25

* Sun Jun 03 2018 tv <tv> 0.240.0-1.mga7
+ Revision: 1234304
- update to 0.24

* Sat Jun 18 2016 pterjan <pterjan> 0.230.0-3.mga6
+ Revision: 1022566
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.230.0-2.mga6
+ Revision: 967958
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.230.0-1.mga6
+ Revision: 850922
- update to 0.23

* Wed Oct 15 2014 umeabot <umeabot> 0.190.0-3.mga5
+ Revision: 745313
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.190.0-2.mga5
+ Revision: 683539
- Mageia 5 Mass Rebuild

* Mon Feb 24 2014 jquelin <jquelin> 0.190.0-1.mga5
+ Revision: 596231
- update to 0.19

* Sat Oct 19 2013 umeabot <umeabot> 0.180.0-2.mga4
+ Revision: 530138
- Mageia 4 Mass Rebuild
+ sander85 <sander85>
- Fix description

* Fri Jul 19 2013 sander85 <sander85> 0.180.0-1.mga4
+ Revision: 456268
- update to 0.18

* Tue Jul 09 2013 jquelin <jquelin> 0.170.0-1.mga4
+ Revision: 451933
- update to 0.17

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 363116
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 kharec <kharec> 0.160.0-1.mga3
+ Revision: 254540
- update to 0.16

* Wed Feb 22 2012 kharec <kharec> 0.150.0-1.mga2
+ Revision: 211909
- update to 0.15

* Wed Oct 12 2011 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 154080
- imported package perl-Archive-Tar-Wrapper

